from zope.i18nmessageid import MessageFactory

from Products.Archetypes.atapi import listTypes
from Products.Archetypes.atapi import process_types
from Products.CMFCore.utils import ContentInit
from Products.CMFCore.DirectoryView import registerDirectory

import config

registerDirectory(config.SKINS_DIR, config.GLOBALS)


MSG_FACTORY = MessageFactory('pilot.conference')


def initialize(context):
    from content import speaker ## required
    from content import talk ## required

    content_types, constructors, ftis = process_types(
        listTypes(config.PROJECTNAME), 
        config.PROJECTNAME)

    allTypes = zip(content_types, constructors)
    for atype, constructor in allTypes:
        kind = "%s: %s" % (config.PROJECTNAME, atype.portal_type)
        permission = config.ADD_CONTENT_PERMISSIONS[atype.portal_type]
        ContentInit(kind,
                    content_types=(atype, ),
                    permission=permission,
                    extra_constructors=(constructor, ),
                    fti=ftis).initialize(context)
