from Products.Five  import BrowserView
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone import PloneMessageFactory as _

class SpeakersList(BrowserView):

    def __init__(self, context, request):
        super(SpeakersList, self).__init__(context, request)
        catalog = getToolByName(context, "portal_catalog")
        self.speakers = list(catalog(portal_type = "Speaker",
                                     sort_on = "getLastName"))

    def getKeynoteSpeakers(self):
        for speaker in self.speakers:
            if 'keynote' in speaker['Subject']:
                yield speaker.getObject()

    def getOtherSpeakers(self):
        for speaker in self.speakers:
            if not 'keynote' in speaker['Subject']:
                yield speaker.getObject()

