"""Base class for integration tests, based on ZopeTestCase and PloneTestCase.

Note that importing this module has various side-effects: it registers a set of
products with Zope, and it sets up a sandbox Plone site with the appropriate
products installed.
"""

## FIXME: there are seemingly unused imported stuff, here.

import unittest

from zope.testing import doctestunit
from zope.component import testing
from Testing import ZopeTestCase as ztc

from Products.Five import zcml
from Products.Five import fiveconfigure
from Products.PloneTestCase import PloneTestCase as ptc
from Products.PloneTestCase.layer import PloneSite
from Products.PloneTestCase.layer import onsetup


@onsetup
def setup_product():
    """Set up the package and its dependencies.

    The @onsetup decorator causes the execution of this body to be
    deferred until the setup of the Plone site testing layer. We could
    have created our own layer, but this is the easiest way for Plone
    integration tests.
    """
    fiveconfigure.debug_mode = True
    import pilot.conference
    zcml.load_config('configure.zcml', pilot.conference)
    fiveconfigure.debug_mode = False
    ztc.installPackage('pilot.conference')


setup_product()
ptc.setupPloneSite(products=['pilot.conference'])


class PilotConferenceTestCase(ptc.PloneTestCase):
    """Base class for integration tests."""
    pass


class PilotConferenceFunctionalTestCase(ptc.FunctionalTestCase):
    """Base class for functional tests."""
    pass
