from pilot.conference.interfaces import ISpeaker
from pilot.conference.interfaces import ITalk
from pilot.conference.tests.base import PilotConferenceTestCase


class TestTalk(PilotConferenceTestCase):

    def afterSetUp(self):
        self.setRoles(['Manager'])
        self.portal.invokeFactory('Talk', 't1')

    def test_create_talk(self):
        self.failUnless('t1' in self.portal.objectIds())

    def test_interface(self):
        talk = self.portal.t1
        self.failUnless(ITalk.providedBy(talk))

class TestSpeaker(PilotConferenceTestCase):

    def afterSetUp(self):
        self.setRoles(['Manager'])
        self.portal.invokeFactory('Speaker', 's1')

    def test_create_speaker(self):
        self.failUnless('s1' in self.portal.objectIds())

    def test_interface(self):
        speaker = self.portal.s1
        self.failUnless(ISpeaker.providedBy(speaker))


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestTalk))
    suite.addTest(makeSuite(TestSpeaker))
    return suite
